package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;
import java.util.List;

public class AioAlarmRecordVo {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容")
    private String alarmContent;
    /**
     * 报警类型（1 自动（过期），2 检测，3 手动）
     */
    @ApiModelProperty(value = "报警类型（1 自动（过期），2 检测，3 手动）")
    private Integer alarmType;
    /**
     * 报警方式（1.系统通知，2.声光报警，3.短信通知）
     */
    @ApiModelProperty(value = "报警方式")
    private Integer alarmMode;
    /**
     * 实验室id
     */
    @ApiModelProperty(value = "实验室id")
    private Long subId;

    @ApiModelProperty(value = "实验室名称")
    private String subName;

    @ApiModelProperty(value = "实验室所属学院")
    private String deptName;

    @ApiModelProperty(value = "实验室所属学院id")
    private Long deptId;

    private String adminNames;

    private String safeUserId;

    @ApiModelProperty(value = "实验室安全责任人")
    private String safeUserNames;

    @ApiModelProperty(value = "实验室安全责任人手机号码")
    private String safeUserPhones;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String terminalNum;
    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "报警时间")
    private Date alarmTime;
    /**
     * 处理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "处理时间")
    private Date handlingTime;
    /**
     * 处理人id
     */
    @ApiModelProperty(value = "处理人id")
    private Long handlingUserId;
    /**
     * 处理状态（1.待处理，2是已处理）
     */
    @ApiModelProperty(value = "处理状态")
    private Integer handlingStatus;
    /**
     * 处理内容
     */
    @Length(message = "处理内容长度不能超过50")
    @ApiModelProperty(value = "处理内容")
    private String handlingContent;

    /**
     * 责任人（多个逗号分隔）
     */
    @ApiModelProperty(value = "责任ID）")
    private String liableUserIds;

    @ApiModelProperty(value = "责任人姓名")
    private String liableUserNames;
//
//    @ApiModelProperty(value = "责任人手机号码")
//    private String liableUserPhones;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAlarmContent() {
        return alarmContent;
    }

    public void setAlarmContent(String alarmContent) {
        this.alarmContent = alarmContent;
    }

    public Integer getAlarmMode() {
        return alarmMode;
    }

    public void setAlarmMode(Integer alarmMode) {
        this.alarmMode = alarmMode;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getSafeUserNames() {
        return safeUserNames;
    }

    public void setSafeUserNames(String safeUserNames) {
        this.safeUserNames = safeUserNames;
    }

    public String getSafeUserPhones() {
        return safeUserPhones;
    }

    public void setSafeUserPhones(String safeUserPhones) {
        this.safeUserPhones = safeUserPhones;
    }

    public String getTerminalNum() {
        return terminalNum;
    }

    public void setTerminalNum(String terminalNum) {
        this.terminalNum = terminalNum;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public Date getHandlingTime() {
        return handlingTime;
    }

    public void setHandlingTime(Date handlingTime) {
        this.handlingTime = handlingTime;
    }

    public Long getHandlingUserId() {
        return handlingUserId;
    }

    public void setHandlingUserId(Long handlingUserId) {
        this.handlingUserId = handlingUserId;
    }

    public Integer getHandlingStatus() {
        return handlingStatus;
    }

    public void setHandlingStatus(Integer handlingStatus) {
        this.handlingStatus = handlingStatus;
    }

    public String getHandlingContent() {
        return handlingContent;
    }

    public void setHandlingContent(String handlingContent) {
        this.handlingContent = handlingContent;
    }

    public String getLiableUserIds() {
        return liableUserIds;
    }

    public void setLiableUserIds(String liableUserIds) {
        this.liableUserIds = liableUserIds;
    }

//    public String getLiableUserPhones() {
//        return liableUserPhones;
//    }
//
//    public void setLiableUserPhones(String liableUserPhones) {
//        this.liableUserPhones = liableUserPhones;
//    }

    public Integer getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(Integer alarmType) {
        this.alarmType = alarmType;
    }

    public String getSafeUserId() {
        return safeUserId;
    }

    public void setSafeUserId(String safeUserId) {
        this.safeUserId = safeUserId;
    }

    public String getAdminNames() {
        return adminNames;
    }

    public void setAdminNames(String adminNames) {
        this.adminNames = adminNames;
    }

    public String getLiableUserNames() {
        return liableUserNames;
    }

    public void setLiableUserNames(String liableUserNames) {
        this.liableUserNames = liableUserNames;
    }
}
